$(function () {
	var height = $("#frame-container").outerHeight(true);
	
	var path = decodeURIComponent(location.pathname);
	var index = path.lastIndexOf('/');
	var file = path.substr(index + 1);

	var data = {
		name: 'onload',
		height: height,
		activeId: activeId,
		file: file
	};
	parent.postMessage(JSON.stringify(data), "*");
	
	$("nav .switch").click(function (event) {
		setTimeout(sendContainerHeight, 0);
	});
	
	$(window).resize(sendContainerHeight);
});

$(window).on("message", function (event) {
	var data = event.originalEvent.data;
	if (data.name === 'replace') {
		location.replace(data.location);
	}
});

function sendContainerHeight() {
	var height = $("#frame-container").outerHeight(true);
	var data = {
		name: 'onresize',
		height: height
	};
	parent.postMessage(JSON.stringify(data), "*");
}

