/* Override contains to be case insensitive. */
$.expr[":"].contains = $.expr.createPseudo(function(arg) {
    return function(elem) {
        return $(elem).text().toUpperCase().indexOf(arg.toUpperCase()) >= 0;
    };
});

$(function () {
	$("nav .switch").click(function (event) {
		var $this = $(this);
		$this.parent('li').toggleClass('collapsed');
		event.stopPropagation();
	});
	$("nav .switch a").click(function (event) {
		event.stopPropagation();
	});
	
	$('#input-search').keyup(function () {
		$("nav .match").removeClass('match');
		$("nav").removeClass('search');
		
		var query = $(this).val();
		if(query != '') {
			$("nav").addClass('search');
			$("nav a:contains('" + query + "')").each(function () {
				var $this = $(this);
				$this.parents("li").addClass("match");
			});
		}
	});
});