$(function () {
    $("code").each(function() {
        var type = $(this).attr("type");
        var txt = $(this).html();

        var lines = txt.split("\n");
        var nSpacesFound = false;
        var nSpacesToRemove = 0;
        txt = "";
        for (i=0;i<lines.length;i++) {
            line = lines[i];
            if(i === 0 && line.length === 0){
                // Ignore first line if only white spaces.
                continue;
            }
            if (line.trim().length>0) {
                if (!nSpacesFound) {
                    while (line[nSpacesToRemove]==' ') {
                        nSpacesToRemove++;
                    }
                    nSpacesFound = true;
                }
            }
            if (nSpacesToRemove>0) {
                if (line.length > nSpacesToRemove) {
                    line = line.substring(nSpacesToRemove);
                }else{
                    if(i === lines.length -1){
                        // Ignore last line if white spaces.
                        continue;
                    }
                }
            }
            txt += line;
            if(i !== lines.length -1){
                txt += "\n";
            }
        }
        $(this).html(txt);

        var editor = ace.edit(this);
        editor.setReadOnly(true);
        editor.setHighlightActiveLine(false);
        editor.setTheme("ace/theme/chrome");
        editor.getSession().setMode("ace/mode/" + type);

        var newHeight =
            editor.getSession().getScreenLength()
            * editor.renderer.lineHeight
            + editor.renderer.scrollBar.getWidth();

        $(this).height(newHeight);
        editor.resize();
    });
});
