
function postMessageToFrame(data) {
	document.getElementById('frame').contentWindow.postMessage(data, "*");
}

var needReplace = (location.hash != "");

var currentHash = "";

$(window).on('popstate', function() {
// Do something, inspect History.getState() to decide what
	if (location.hash!=currentHash)
	{
		currentHash = location.hash
		var replace = location.hash.substr(1);
		postMessageToFrame({
			name: 'replace',
			location: replace
		});
	}
})

$(window).on("message", function (event) {
	var data = JSON.parse(event.originalEvent.data);
	if(data.name === 'onload') {
		$("#frame").height(data.height);
		
		$("nav").removeClass('search');
		$("nav .active").removeClass("active");
		$("nav li").addClass("collapsed");
		
		var $active = $("[id='" + data.activeId + "']");
		$active.parents("li").addClass("active");
		$active.parent().parent().parents("li").removeClass("collapsed");
		
		if(needReplace) {
			needReplace = false;
			var replace = location.hash.substr(1);
			postMessageToFrame({
				name: 'replace',
				location: replace
			});
		} else {
			location.replace('index.html#' + data.file);
		}
	}
	if(data.name === 'onresize') {
		$("#frame").height(data.height);
	}
});


